function ConvertCBMToKickAss(cbmSource) {
	var kickAssSource = cbmSource;

    var Labels1Replacement = ".label $1$2";
    var Labels2Replacement = ".label $1$2";
    var Labels3Replacement = "$1:$2";
    var CommentReplacement = "//";
    var RorRolReplacement = "$1";
    var OffsParReplacement = "$1 //TODO: Replace .pc + .offs with .pseudopc block";
    var XorReplacement = "$1^";
    var MacroReplacement = ".macro $2\(param1, param2) {";
    var MacroEndReplacement = "}";
    var ParamReplacement = "$1param";
    var DataReplacement = ".$1";
    var FillReplacement = ".fill";
    var FillWordReplacement = ".fillword";
    var ImportBinReplacement = ".import binary ";
    var ImportAsmReplacement = "#import ";
    var CondReplacement = "#$1";
    var UnsuppReplacement = "// Unsupported -> $&"
    var GenerateToReplacement = ".file [name=\"$2\", segments=\"Default\"]"
    var BreakPointReplacement = ".break"
    var AlignReplacement = ".align=256"
    var AlignPlusReplacement = ".align=$2"

    var Labels1Regex = /^([a-zA-Z0-9_]+)(\s*=.*\*)/gm;
    var Labels2Regex = /^([a-zA-Z0-9_]+)(\s*=.*)/gm;
    var Labels3Regex = /^([a-zA-Z0-9_]+)(.*)/gm;
    var CommentRegex = /(;)/gm;
    var RorRolRegex = /\b(ror|rol|lsr|asl)(\b\s*a\b)/gm;
    var OffsParRegex = /^(.*\.offs.*)$/gm;
	var XorRegex1 = /^(?!.*\/\/)(.*?\$[a-fA-f0-9]{1,2}|[01]?[0-9]?[0-9]|2[0-4][0-9]|25[0-5])(\:)(?=\$[a-fA-f0-9]{1,2}|[01]?[0-9]?[0-9]|2[0-4][0-9]|25[0-5])/gm;
    var MacroRegex1 = /^(defm:\s+)([a-zA-Z0-9_]+)/gm;
    var MacroRegex2 = /^(\s*endm)/gm;
    var ParamRegex = /(\s|#)(\/)(?=\d)/gm;
    var ScopeRegex = /@(?=\S+)/gm;
    var DataRegex1 = /\b(byte|word|text)/gm;
    var DataRegex2 = /\b(dcb)/gm;
    var DataRegex3 = /\b(dcw)/gm;
    var ImpBinRegex = /^\s+(incbin)\s+/gm;
    var ImpAsmRegex = /^\s+(incasm)\s+/gm;
    var CondRegex = /^(if|ifdef|else|endif)/gm;
    var OperatorRegex = /^(Operator\b) (Calc\b|HiLo\b)/gim;
    var ZpoptRegex = /^(zpopt\b) (on\b|off\b)/gim;
    var DirectivesRegex = /^(#region\b|#endregion\b|Charmap\b|Charset\b|NoLoadAddr\b)/gim;
    var GenerateToRegex = /^(GenerateTo\b) (.+)/gim;
    var BreakPointRegex = /^(Breakpoint\b)\s*$/gim;
    var BreakPointPlusRegex = /^(Breakpoint\b) (.+)/gim;
    var AlignRegex = /^(Align\b)\s*$/gim;
    var AlignPlusRegex = /^(Align\b) (.+)/gim;
    kickAssSource = kickAssSource.replace(ScopeRegex, "");
    kickAssSource = kickAssSource.replace(/'/gm, '"');
    kickAssSource = kickAssSource.replace(AlignPlusRegex, AlignPlusReplacement);
    kickAssSource = kickAssSource.replace(AlignRegex, AlignReplacement);
    kickAssSource = kickAssSource.replace(BreakPointRegex, BreakPointReplacement);
    kickAssSource = kickAssSource.replace(BreakPointPlusRegex, UnsuppReplacement);
    kickAssSource = kickAssSource.replace(GenerateToRegex, GenerateToReplacement);
    kickAssSource = kickAssSource.replace(OperatorRegex, UnsuppReplacement);
    kickAssSource = kickAssSource.replace(ZpoptRegex, UnsuppReplacement);
    kickAssSource = kickAssSource.replace(DirectivesRegex, UnsuppReplacement);
    kickAssSource = kickAssSource.replace(CondRegex, CondReplacement);
	kickAssSource = kickAssSource.replace(Labels1Regex, Labels1Replacement);
	kickAssSource = kickAssSource.replace(Labels2Regex, Labels2Replacement);
	kickAssSource = kickAssSource.replace(Labels3Regex, Labels3Replacement);
	kickAssSource = kickAssSource.replace(RorRolRegex, RorRolReplacement);
	kickAssSource = kickAssSource.replace(OffsParRegex, OffsParReplacement);
    kickAssSource = kickAssSource.replace(CommentRegex, CommentReplacement);
	kickAssSource = kickAssSource.replace(XorRegex1, XorReplacement);
    kickAssSource = kickAssSource.replace(MacroRegex1, MacroReplacement);
    kickAssSource = kickAssSource.replace(MacroRegex2, MacroEndReplacement);
    kickAssSource = kickAssSource.replace(ParamRegex, ParamReplacement);
    kickAssSource = kickAssSource.replace(DataRegex1, DataReplacement);
    kickAssSource = kickAssSource.replace(DataRegex2, FillReplacement);
    kickAssSource = kickAssSource.replace(DataRegex3, FillWordReplacement);
    kickAssSource = kickAssSource.replace(ImpBinRegex, ImportBinReplacement);
    kickAssSource = kickAssSource.replace(ImpAsmRegex, ImportAsmReplacement);
    return kickAssSource;
}